Package com.fasterxml.jackson.datatype.jdk8

# Class OptionalDoubleSerializer

java.lang.Object
com.fasterxml.jackson.databind.JsonSerializer<T>
com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<OptionalDouble>
com.fasterxml.jackson.datatype.jdk8.OptionalDoubleSerializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`, `com.fasterxml.jackson.databind.jsonschema.SchemaAware`, `Serializable`

public class OptionalDoubleSerializer extends com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<OptionalDouble>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

## Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

## Constructor Summary

Constructors
Constructor
Description
`OptionalDoubleSerializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptJsonFormatVisitor(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper visitor, com.fasterxml.jackson.databind.JavaType typeHint)`
`boolean`
`isEmpty(com.fasterxml.jackson.databind.SerializerProvider provider, OptionalDouble value)`
`void`
`serialize(OptionalDouble value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider provider)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdScalarSerializer

`getSchema, serializeWithType`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OptionalDoubleSerializer

public OptionalDoubleSerializer()

## Method Details

### isEmpty

public boolean isEmpty(com.fasterxml.jackson.databind.SerializerProvider provider, OptionalDouble value)

Overrides:
  `isEmpty` in class `com.fasterxml.jackson.databind.JsonSerializer<OptionalDouble>`

### acceptJsonFormatVisitor

public void acceptJsonFormatVisitor(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper visitor, com.fasterxml.jackson.databind.JavaType typeHint) throws com.fasterxml.jackson.databind.JsonMappingException

Specified by:
  `acceptJsonFormatVisitor` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`
Overrides:
  `acceptJsonFormatVisitor` in class `com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<OptionalDouble>`
Throws:
  `com.fasterxml.jackson.databind.JsonMappingException`

### serialize

public void serialize(OptionalDouble value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider provider) throws IOException

Specified by:
  `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<OptionalDouble>`
Throws:
  `IOException`